package com.ruoyi.system.mapper.house;

import com.ruoyi.system.domain.house.HouseResourceAssociationObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface HouseResourceAssociationObjectMapper {

    void insertHouseResourceObjectAssociation(HouseResourceAssociationObject houseResourceAssociationObject);

    HouseResourceAssociationObject selectHouseResourceObjectAssociationById(String id);

    void updateHouseResourceObjectAssociation(HouseResourceAssociationObject houseResourceAssociationObject);

    void deleteHouseResourceObjectAssociationById(String id);

    HouseResourceAssociationObject selectHouseResourceObjectAssociationByHouseResourceIdType(@Param("houseResourceId") String houseResourceId, @Param("type") int type);

    List<HouseResourceAssociationObject> selectHouseResourceObjectAssociationLog(@Param("houseResourceId") String houseResourceId, @Param("type") int type, @Param("operateType") int operateType);
}
